commit 81c539d7d78dd80e356eadf7af090ecba901d4c6
Author: Douglas Rupp <rupp@adacore.com>
Date:   Mon May 18 11:43:48 2020 -0700

    Require powerpc_vsx_ok in gcc.target/powerpc/pr71763.c
    
    We're getting an error when running this test on PowerPC VxWorks 7,
    due to an unexpected warning:
    
        | Excess errors:
        | cc1: warning: '-mvsx' and '-mno-altivec' are incompatible
    
    The warning comes from a combination of factors:
      - The test itself uses -mvsx explicitly via the following directive:
           // { dg-options "-O1 -mvsx" }
      - Our toolchain was configured so as to make -mno-altivec
        the default;
      - These two options are mutually exclusive.
    
    This commit adds a powerpc_vsx_ok dg-require-effective-target directive
    to that test, and thus making it UNSUPPORTED instead.
    
    Tested on PowerPC VxWorks 7. Also tested on PowerPC ELF as well,
    a platform where we do not make -mno-altivec the default, to verify
    that the test continues to run as usual in that case.
    
    gcc/testsuite/
    
            * gcc.target/powerpc/pr71763.c: Require powerpc_vsx_ok.
    
    (cherry picked from commit c917584aa9ec32934acf0082ed383b04f49fd174)

diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 457e9ab93e4..8c3bd994b1c 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2020-05-18  Doug Rupp  <rupp@adacore.com>
+
+	* gcc.target/powerpc/pr71763.c: Require powerpc_vsx_ok.
+
 2020-05-14  Szabolcs Nagy  <szabolcs.nagy@arm.com>
 
 	Backport from mainline.
diff --git a/gcc/testsuite/gcc.target/powerpc/pr71763.c b/gcc/testsuite/gcc.target/powerpc/pr71763.c
index b36ddfa26b0..b8888394393 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr71763.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr71763.c
@@ -1,5 +1,6 @@
 // PR target/71763
 // { dg-do compile }
+// { dg-require-effective-target powerpc_vsx_ok }
 // { dg-options "-O1 -mvsx" }
 
 int a, b;

